#cs
Copyright (c) 2017 Caffeine, Modified by: (Psycotrance, Asebege)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
#ce

#include <File.au3>
#include <Sound.au3>

Local $volume_lvl = 15 ; 0 to 100
SoundSetWaveVolume($volume_lvl)

TraySetIcon("shell32.dll", 277)  ; 277 - audio icon
Opt("TrayAutoPause", 0) ; disable script pause when clicking tray icon
TraySetToolTip("Enemy-Killspam-MOD SoundPlayer (1.5)")

; check if log file exists
Local $logFile = @WorkingDir & "\KillspamMOD.log"
If Not(FileExists($logFile)) Then
	MsgBox (0,"Error", "killspam.exe could not locate KillspamMOD.log" & @CRLF & @CRLF & "You must place both killspam.exe and the audio folder in to:" & @CRLF & "Warhammer Online - Age of Reckoning/logs" & @CRLF & @CRLF & "If this is the first time you've ever started killspam.exe remember that you have to log on to a character at least once for the log file to be generated.")
	Exit
EndIf

; check if log2 file exists
Local $logFile2 = @WorkingDir & "\KillspamRET.log"
If Not(FileExists($logFile2)) Then
	MsgBox (0,"Error", "killspam.exe could not locate KillspamRET.log" & @CRLF & @CRLF & "You must place both killspam.exe and the audio folder in to:" & @CRLF & "Warhammer Online - Age of Reckoning/logs" & @CRLF & @CRLF & "If this is the first time you've ever started killspam.exe remember that you have to log on to a character at least once for the log file to be generated.")
	Exit
EndIf

; check if log3 file exists
Local $logFile3 = @WorkingDir & "\scenarioAlert.log"
If Not(FileExists($logFile3)) Then
	MsgBox (0,"Error", "killspam.exe could not locate scenarioAlert.log" & @CRLF & @CRLF & "You must place both killspam.exe and the audio folder in to:" & @CRLF & "Warhammer Online - Age of Reckoning/logs" & @CRLF & @CRLF & "If this is the first time you've ever started killspam.exe remember that you have to log on to a character at least once for the log file to be generated.")
	Exit
EndIf

; check if audio folder was copied correctly
If Not(FileExists(@WorkingDir & "\audio")) Then
	MsgBox (0,"Error", "killspam.exe could not locate the audio folder" & @CRLF & @CRLF & "Copy the audio folder from the archive you downloaded in to:" & @CRLF & "Warhammer Online - Age of Reckoning/logs")
	Exit
EndIf

; check if there are any valid audio files in the audio folder
Local $soundFileSC
If FileExists(@WorkingDir & "\audio\notify.wav") Then
	$soundFileSC = @WorkingDir & "\audio\notify.wav"
ElseIf FileExists(@WorkingDir & "\audio\notify.mp3") Then
	$soundFileSC = @WorkingDir & "\audio\notify.mp3"
Else
	MsgBox (0,"Error", "killspam.exe could not locate any files in the audio folder" & @CRLF & @CRLF & "The file must be named notify and can be of either mp3 or wav format.")
	Exit
EndIf

; check if there are any valid audio files in the audio folder
; section removed

Local $soundFile1
Local $soundFile2
Local $soundFile3
Local $soundFile4
Local $soundFile5
Local $soundFile6
Local $soundFile7
Local $soundFile8
Local $soundFile9
Local $soundFile10
Local $soundFile11
Local $soundFile12
Local $soundFile13
Local $soundFile14
Local $soundFile15
Local $soundFileRET

$soundFile1 = @WorkingDir & "\audio\kb1.wav"
$soundFile2 = @WorkingDir & "\audio\kb2.wav"
$soundFile3 = @WorkingDir & "\audio\kb3.wav"
$soundFile4 = @WorkingDir & "\audio\kb4.wav"
$soundFile5 = @WorkingDir & "\audio\kb5.wav"
$soundFile6 = @WorkingDir & "\audio\kb6.wav"
$soundFile7 = @WorkingDir & "\audio\kb7.wav"
$soundFile8 = @WorkingDir & "\audio\kb8.wav"
$soundFile9 = @WorkingDir & "\audio\kb9.wav"
$soundFile10 = @WorkingDir & "\audio\kb10.wav"
$soundFile11 = @WorkingDir & "\audio\kb11.wav"
$soundFile12 = @WorkingDir & "\audio\kb12.wav"
$soundFile13 = @WorkingDir & "\audio\kb13.wav"
$soundFile14 = @WorkingDir & "\audio\kb14.wav"
$soundFile15 = @WorkingDir & "\audio\kb15.wav"
$soundFileRET = @WorkingDir & "\audio\kbRET.wav"

; start monitoring the log files
local $lineCount = _FileCountLines($logFile)
local $lineCount2 = _FileCountLines($logFile2)
local $lineCount3 = _FileCountLines($logFile3)

While True

	If ProcessExists("war.exe") Or ProcessExists("war-64.exe") Then
	
		local $currentLineCount = _FileCountLines($logFile)
		local $currentLineCount2 = _FileCountLines($logFile2)
		local $currentLineCount3 = _FileCountLines($logFile3)
		
		IF ($lineCount == -1) Then
			$lineCount = $currentLineCount
		EndIf
		IF ($lineCount2 == -1) Then
			$lineCount2 = $currentLineCount2
		EndIf
		IF ($lineCount3 == -1) Then
			$lineCount3 = $currentLineCount3
		EndIf
		
		; character was changed
		If ($lineCount > 1) And ($currentLineCount == 0) Then
			$lineCount = 0
		EndIf
		; client was restarted
		If ($lineCount == 0) And ($currentLineCount > 1) Then
			$lineCount = $currentLineCount
		EndIf
		; kill counter was reset
		If ($currentLineCount == 0) And ($lineCount > 0) Then
			$lineCount = 0
		EndIf
		; kill counter was restarted
		If ($currentLineCount == 1) And ($lineCount > 1) Then
			$lineCount = 0
		EndIf
		If ($currentLineCount > $lineCount) Then
			$lineCount = $currentLineCount
			If ($lineCount > 15) Then
				SoundPlay($soundFile15, 1)
			EndIf
			If ($lineCount == 1) Then
				SoundPlay($soundFile1, 1)
			EndIf
			If ($lineCount == 2) Then
				SoundPlay($soundFile2, 1)
			EndIf
			If ($lineCount == 3) Then
				SoundPlay($soundFile3, 1)
			EndIf
			If ($lineCount == 4) Then
				SoundPlay($soundFile4, 1)
			EndIf
			If ($lineCount == 5) Then
				SoundPlay($soundFile5, 1)
			EndIf
			If ($lineCount == 6) Then
				SoundPlay($soundFile6, 1)
			EndIf
			If ($lineCount == 7) Then
				SoundPlay($soundFile7, 1)
			EndIf
			If ($lineCount == 8) Then
				SoundPlay($soundFile8, 1)
			EndIf
			If ($lineCount == 9) Then
				SoundPlay($soundFile9, 1)
			EndIf
			If ($lineCount == 10) Then
				SoundPlay($soundFile10, 1)
			EndIf
			If ($lineCount == 11) Then
				SoundPlay($soundFile11, 1)
			EndIf
			If ($lineCount == 12) Then
				SoundPlay($soundFile12, 1)
			EndIf
			If ($lineCount == 13) Then
				SoundPlay($soundFile13, 1)
			EndIf
			If ($lineCount == 14) Then
				SoundPlay($soundFile14, 1)
			EndIf
			If ($lineCount == 15) Then
				SoundPlay($soundFile15, 1)
			EndIf			
		EndIf
		
		If ($lineCount2 > 1) And ($currentLineCount2 == 0) Then
			$lineCount2 = $currentLineCount2
		EndIf
		If ($lineCount2 == 0) And ($currentLineCount2 > 1) Then
			$lineCount2 = $currentLineCount2
		EndIf
		If ($currentLineCount2 == 0) And ($lineCount2 > 0) Then
			$lineCount2 = 0
		EndIf
		If ($currentLineCount2 == 1) And ($lineCount2 > 1) Then
			$lineCount2 = 0
		EndIf
		If ($currentLineCount2 > $lineCount2) Then
			$lineCount2 = $currentLineCount2
			SoundPlay($soundFileRET, 1)
		EndIf
		
		If ($lineCount3 > 1) And ($currentLineCount3 == 0) Then
			$lineCount3 = $currentLineCount3
		EndIf
		If ($lineCount3 == 0) And ($currentLineCount3 > 1) Then
			$lineCount3 = $currentLineCount3
		EndIf
		If ($currentLineCount3 == 0) And ($lineCount3 > 0) Then
			$lineCount3 = 0
		EndIf
		If ($currentLineCount3 == 1) And ($lineCount3 > 1) Then
			$lineCount3 = 0
		EndIf
		If ($currentLineCount3 > $lineCount3) Then
			$lineCount3 = $currentLineCount3
			SoundPlay($soundFileSC)
		EndIf

	Else
	  $lineCount = -1
	  $lineCount2 = -1
	  $lineCount3 = -1
	EndIf

	Sleep(50)

WEnd


